Package Details: libkgapi-git r687.-1

Git Clone URL: https://aur.archlinux.org/libkgapi-git.git (read-only)
Package Base: libkgapi-git
Description: A KDE-based library for accessing various Google services via their public API
Upstream URL: https://projects.kde.org/projects/extragear/libs/libkgapi
Licenses: GPL, LGPL, FDL
Conflicts: libkgapilibkgapi-frameworks-git
Provides: libkgapi
Submitter: Sevenseven
Maintainer: Sevenseven
Last Packager: Sevenseven
Votes: 2
Popularity: 0.000132
First Submitted: 2012-11-28 14:45
Last Updated: 2015-07-20 18:29

Required by (0)

Sources (1)

Latest Comments

Sevenseven commented on 2015-07-20 18:30

Updated.

BuddyLuvve commented on 2015-07-18 08:22

We should add libkgapi-frameworks-git to the conflicts list, and this should depend on kdepimlibs-git -- the non -git version is the kde4 package and as such pulls in kde4 deps.

davispuh commented on 2015-07-17 01:11

Need to rename lib64 to lib as it's symlink and otherwise install will fail.

error: failed to commit transaction (conflicting files)
libkgapi-git: /usr/lib64 exists in filesystem


Also you had newline in middle of command

Here's updated PKBUILD

pkgname=libkgapi-git
pkgver=r683.39d0d7f
pkgrel=1
pkgdesc='A KDE-based library for accessing various Google services via
their public API'
arch=('i686' 'x86_64')
url='https://projects.kde.org/projects/extragear/libs/libkgapi'
license=('GPL' 'LGPL' 'FDL')
depends=('kdepimlibs')
makedepends=('cmake' 'git' 'boost')
conflicts=('libkgapi')
provides=('libkgapi')
source=('libkgapi::git+git://anongit.kde.org/libkgapi')
md5sums=('SKIP')

pkgver() {
cd "${srcdir}/libkgapi"
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

prepare() {
if [[ -d "${srcdir}/build" ]]; then
msg "Cleaning the previous build directory..."
rm -rf "${srcdir}/build"
fi
mkdir "${srcdir}/build"
}

build() {
cd "${srcdir}/build"
cmake "${srcdir}/libkgapi" -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DKDE4_BUILD_TESTS=OFF
make
}

package() {
cd "${srcdir}/build"
make DESTDIR="${pkgdir}" install
mv "${pkgdir}/usr/lib64" "${pkgdir}/usr/lib"
}

BuddyLuvve commented on 2015-07-15 21:18

sl1pkn07 commented on 2015-07-15 20:52

yep. frameworks is now merged in master

please use https://aur4.archlinux.org/packages/libkgapi-git/

greetings

BuddyLuvve commented on 2015-07-15 20:44

Getting the error:

fatal: Cannot update paths and switch to branch 'makepkg' at the same time.
Did you intend to checkout 'origin/frameworks' which can not be resolved as commit?

It appears as if the frameworks branch is no more... If it has in fact been fully ported, I'm assuming we should remove the #branch=frameworks and build from master, correct??

https://projects.kde.org/projects/extragear/libs/libkgapi/repository

arojas commented on 2015-07-15 12:50

This is ported to kf5 now

desaparecido commented on 2015-02-07 20:09

nice work @sl1pkn07 ! builds fine without kdelibs and kde4 stuffs !! thanks

sl1pkn07 commented on 2015-02-07 19:26

try now (no need kdelibs)

desaparecido commented on 2015-02-07 18:16

yes.. builded whithout problem :-) ..

All comments